Bug 799638 - [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/rodrigoattique_40r7_2ecom/FileTransferChannel1': there is already a handl
[abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:Ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:f4c5500876480ac431530773735...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 13:23 EST by rodrigoatique
Modified: 2013-02-13 05:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rodrigoatique 2012-03-03 13:23:02 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.7-1.fc16.i686.PAE
reason:         service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/rodrigoattique_40r7_2ecom/FileTransferChannel1': there is already a handler"
time:           Sáb 03 Mar 2012 13:20:47 BRT
uid:            501
username:       rodrigo

backtrace:
:service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/rodrigoattique_40r7_2ecom/FileTransferChannel1': there is already a handler"
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 574, in invite_received
:    self._dispatch("on_invite_file_transfer", session)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 490, in on_invite_file_transfer
:    signal=True, session=session)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 110, in create_channel_for_props
:    props, **args)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel_manager.py", line 177, in _get_ft_channel
:    props, object_path=path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/file_transfer.py", line 46, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 167, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 63, in __init__
:    _Channel.__init__(self, self._conn._name, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 480, in __init__
:    self.add_to_connection(conn, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 571, in add_to_connection
:    self._fallback)
:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/rodrigoattique_40r7_2ecom/FileTransferChannel1': there is already a handler"
:
:Local variables in innermost frame:
:path: '/org/freedesktop/Telepathy/Connection/butterfly/msn/rodrigoattique_40r7_2ecom/FileTransferChannel1'
:connection: <dbus._dbus.SessionBus (session) at 0x9546adc>
:self: <butterfly.channel.file_transfer.ButterflyFileTransferChannel at 0x9bfa80c>

smolt_data:
:
:
:Geral
:=================================
:UUID: db46ddfa-13a4-4f69-adfa-ef9874c440a2
:SO: Fedora release 16 (Verne)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.UTF-8
:Plataforma: i686
:BogoMIPS: 4588.39
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Pentium(R) Dual-Core CPU       T4500  @ 2.30GHz
:Versão da CPU: 10
:Família da CPU: 6
:Modelo da CPU: 23
:Número de CPUs: 2
:Velocidade da CPU: 2293
:Memória do sistema: 1979
:Swap do sistema: 1023
:Fabricante: Philco
:Sistema: O.E.M To Be Filled By O.E.M.
:Fator de uso: Desktop
:Kernel: 3.2.7-1.fc16.i686.PAE
:SELinux habilitado: 0
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10816:4759:8192) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4759:8192) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4759:8192) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4759:8192) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(6523:608:4759:8192) pci, jme, ETHERNET, JMC260 PCI Express Fast Ethernet Controller
:(6523:9090:4759:8192) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9089:4759:8192) pci, None, BASE, Standard SD Host Controller
:(6523:9091:4759:8192) pci, jmb38x_ms, BASE, MS Host Controller
:(32902:10549:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4759:8192) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4759:8192) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4759:8192) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4759:8192) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4759:8192) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4759:8192) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4759:8192) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4759:8192) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4332:33138:4332:33153) pci, rtl8192se, NETWORK, RTL8191SEvB Wireless LAN Controller
:(32902:10552:4759:8192) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda8 / ext4 4096 4096 7270806 3341502 2977061 1823248 1628662 1628662
:/dev/sda2 /boot ext4 1024 1024 508745 343333 317733 128016 127711 127711
:/dev/sda6 /home ext4 4096 4096 61281820 43778238 40710539 15343616 15270484 15270484
:
Comment 1 Fedora End Of Life 2013-01-16 06:06:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:14:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.